orm

## Class ColegioDAO

- java.lang.Object
- - orm.ColegioDAO

    public class ColegioDAO
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ColegioDAO()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Colegio` `createColegio()`
`static boolean` `delete(Colegio colegio)`
`static boolean` `deleteAndDissociate(Colegio colegio)`
`static boolean` `deleteAndDissociate(Colegio colegio, org.orm.PersistentSession session)`
`static boolean` `evict(Colegio colegio)`
`static Colegio` `getColegioByORMID(int id_pk)`
`static Colegio` `getColegioByORMID(int id_pk, org.hibernate.LockMode lockMode)`
`static Colegio` `getColegioByORMID(org.orm.PersistentSession session, int id_pk)`
`static Colegio` `getColegioByORMID(org.orm.PersistentSession session, int id_pk, org.hibernate.LockMode lockMode)`
`static java.util.Iterator` `iterateColegioByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static java.util.Iterator` `iterateColegioByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.Iterator` `iterateColegioByQuery(java.lang.String condition, java.lang.String orderBy)`
`static java.util.Iterator` `iterateColegioByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Colegio[]` `listColegioByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static Colegio[]` `listColegioByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Colegio[]` `listColegioByQuery(java.lang.String condition, java.lang.String orderBy)`
`static Colegio[]` `listColegioByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Colegio` `loadColegioByORMID(int id_pk)`
`static Colegio` `loadColegioByORMID(int id_pk, org.hibernate.LockMode lockMode)`
`static Colegio` `loadColegioByORMID(org.orm.PersistentSession session, int id_pk)`
`static Colegio` `loadColegioByORMID(org.orm.PersistentSession session, int id_pk, org.hibernate.LockMode lockMode)`
`static Colegio` `loadColegioByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static Colegio` `loadColegioByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Colegio` `loadColegioByQuery(java.lang.String condition, java.lang.String orderBy)`
`static Colegio` `loadColegioByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.List` `queryColegio(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static java.util.List` `queryColegio(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.List` `queryColegio(java.lang.String condition, java.lang.String orderBy)`
`static java.util.List` `queryColegio(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static boolean` `refresh(Colegio colegio)`
`static boolean` `save(Colegio colegio)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColegioDAO

    public ColegioDAO()

### Method Detail

#### loadColegioByORMID

    public static Colegio loadColegioByORMID(int id_pk)
                                      throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getColegioByORMID

    public static Colegio getColegioByORMID(int id_pk)
                                     throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadColegioByORMID

    public static Colegio loadColegioByORMID(int id_pk,
                                             org.hibernate.LockMode lockMode)
                                      throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getColegioByORMID

    public static Colegio getColegioByORMID(int id_pk,
                                            org.hibernate.LockMode lockMode)
                                     throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadColegioByORMID

    public static Colegio loadColegioByORMID(org.orm.PersistentSession session,
                                             int id_pk)
                                      throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getColegioByORMID

    public static Colegio getColegioByORMID(org.orm.PersistentSession session,
                                            int id_pk)
                                     throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadColegioByORMID

    public static Colegio loadColegioByORMID(org.orm.PersistentSession session,
                                             int id_pk,
                                             org.hibernate.LockMode lockMode)
                                      throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getColegioByORMID

    public static Colegio getColegioByORMID(org.orm.PersistentSession session,
                                            int id_pk,
                                            org.hibernate.LockMode lockMode)
                                     throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryColegio

    public static java.util.List queryColegio(java.lang.String condition,
                                              java.lang.String orderBy)
                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryColegio

    public static java.util.List queryColegio(java.lang.String condition,
                                              java.lang.String orderBy,
                                              org.hibernate.LockMode lockMode)
                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listColegioByQuery

    public static Colegio[] listColegioByQuery(java.lang.String condition,
                                               java.lang.String orderBy)
                                        throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listColegioByQuery

    public static Colegio[] listColegioByQuery(java.lang.String condition,
                                               java.lang.String orderBy,
                                               org.hibernate.LockMode lockMode)
                                        throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryColegio

    public static java.util.List queryColegio(org.orm.PersistentSession session,
                                              java.lang.String condition,
                                              java.lang.String orderBy)
                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryColegio

    public static java.util.List queryColegio(org.orm.PersistentSession session,
                                              java.lang.String condition,
                                              java.lang.String orderBy,
                                              org.hibernate.LockMode lockMode)
                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listColegioByQuery

    public static Colegio[] listColegioByQuery(org.orm.PersistentSession session,
                                               java.lang.String condition,
                                               java.lang.String orderBy)
                                        throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listColegioByQuery

    public static Colegio[] listColegioByQuery(org.orm.PersistentSession session,
                                               java.lang.String condition,
                                               java.lang.String orderBy,
                                               org.hibernate.LockMode lockMode)
                                        throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadColegioByQuery

    public static Colegio loadColegioByQuery(java.lang.String condition,
                                             java.lang.String orderBy)
                                      throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadColegioByQuery

    public static Colegio loadColegioByQuery(java.lang.String condition,
                                             java.lang.String orderBy,
                                             org.hibernate.LockMode lockMode)
                                      throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadColegioByQuery

    public static Colegio loadColegioByQuery(org.orm.PersistentSession session,
                                             java.lang.String condition,
                                             java.lang.String orderBy)
                                      throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadColegioByQuery

    public static Colegio loadColegioByQuery(org.orm.PersistentSession session,
                                             java.lang.String condition,
                                             java.lang.String orderBy,
                                             org.hibernate.LockMode lockMode)
                                      throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateColegioByQuery

    public static java.util.Iterator iterateColegioByQuery(java.lang.String condition,
                                                           java.lang.String orderBy)
                                                    throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateColegioByQuery

    public static java.util.Iterator iterateColegioByQuery(java.lang.String condition,
                                                           java.lang.String orderBy,
                                                           org.hibernate.LockMode lockMode)
                                                    throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateColegioByQuery

    public static java.util.Iterator iterateColegioByQuery(org.orm.PersistentSession session,
                                                           java.lang.String condition,
                                                           java.lang.String orderBy)
                                                    throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateColegioByQuery

    public static java.util.Iterator iterateColegioByQuery(org.orm.PersistentSession session,
                                                           java.lang.String condition,
                                                           java.lang.String orderBy,
                                                           org.hibernate.LockMode lockMode)
                                                    throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### createColegio

    public static Colegio createColegio()

#### save

    public static boolean save(Colegio colegio)
                        throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### delete

    public static boolean delete(Colegio colegio)
                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### deleteAndDissociate

    public static boolean deleteAndDissociate(Colegio colegio)
                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### deleteAndDissociate

    public static boolean deleteAndDissociate(Colegio colegio,
                                              org.orm.PersistentSession session)
                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### refresh

    public static boolean refresh(Colegio colegio)
                           throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### evict

    public static boolean evict(Colegio colegio)
                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`